package vip.xiaonuo.write.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import vip.xiaonuo.write.entity.WriteUnqualified;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 不合格品台账
 * </p>
 *
 * @author author
 * @since 2025-01-02
 */
@Data
public class WriteUnqualifiedVo  {

    private List<WriteUnqualified> writeUnqualifieds;

    @ApiModelProperty(value = "年",position = 9)
    private String year;

    @ApiModelProperty(value = "组织id",position = 10)
    private String orgId;

    @ApiModelProperty(value = "编制日期", position = 12)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date editTime;

    @ApiModelProperty(value = "审核日期",position = 13)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date examineTime;

    @ApiModelProperty(value = "listId",position = 10)
    private Integer listId;
}
