package vip.xiaonuo.purchase.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.money.param.DsBusAllParam;
import vip.xiaonuo.purchase.entity.PurchaseOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import vip.xiaonuo.purchase.entity.vo.PurchaseMaterialVo;
import vip.xiaonuo.purchase.entity.vo.PurchaseOrderTypeVo;
import vip.xiaonuo.purchase.param.PurchaseAllParam;

import java.util.List;

/**
 * <p>
 * 采购订单表 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-11-25
 */
public interface PurchaseOrderMapper extends BaseMapper<PurchaseOrder> {

    List<PurchaseOrderTypeVo> listType(String month, String year, String lastMonth, Integer lastYear,String orgId);

    List<PurchaseMaterialVo> getSupplier(@Param(Constants.WRAPPER) QueryWrapper<PurchaseOrder> queryWrapper);

    PurchaseAllParam purchaseAll(@Param(Constants.WRAPPER)  QueryWrapper<PurchaseOrder> wapper);

    List<PurchaseAllParam> getCaiGouYvFuDetailMonth(@Param(Constants.WRAPPER)QueryWrapper<PurchaseOrder> wapper);

    List<PurchaseAllParam> getCaiGouYvFuDetailYear(@Param(Constants.WRAPPER) QueryWrapper<PurchaseOrder> wapper);
}
